Name:           moonshot-ui
Version:        1.2.11
Release:        1%{?dist}
Summary:        Moonshot Federated Identity User Interface

Group:          Security Tools
License:        BSD
URL:            http://www.project-moonshot.org/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:      glib2-devel

%if 0%{?el6}
BuildRequires:      gtk2-devel
BuildRequires:      gnome-keyring-devel
Requires:           dejavu-sans-fonts
%else
BuildRequires:      libsecret-devel, gcr-devel
BuildRequires:      gtk3-devel
%endif

BuildRequires:      libgee-devel
BuildRequires:      dbus-devel
BuildRequires:      openssl-devel
BuildRequires:      desktop-file-utils
BuildRequires:      shared-mime-info
BuildRequires:      vala
BuildRequires:      keyutils-libs-devel
Requires:           desktop-file-utils, shared-mime-info, dbus-x11

%description


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dbus-1/services
ln -s ../../moonshot-ui/dbus/org.janet.Moonshot.service $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.janet.Moonshot.service

%check
%if 0%{?el6}
# make check fails in Centos 6
%else
make check
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%post
	/usr/bin/update-desktop-database
    /usr/bin/gtk-update-icon-cache -tq /usr/share/icons/hicolor 2>/dev/null ||:

%postun
	/usr/bin/update-desktop-database
    /usr/bin/gtk-update-icon-cache -tq /usr/share/icons/hicolor 2>/dev/null ||:

%package devel
Summary: Moonshot UI Development
Requires: moonshot-ui  = %{version}-%{release}

%description devel

	     Moonshot UI development




%files
%defattr(-,root,root,-)
%{_bindir}/moonshot
%{_bindir}/moonshot-webp
%{_bindir}/moonshot-keyring-tool
%{_bindir}/moonshot-idcard-generator
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/mime/packages/*
%{_datadir}/moonshot-ui
%{_datadir}/doc/moonshot-ui
%{_libdir}/libmoonshot.so.*
%config(noreplace) %{_sysconfdir}/moonshot/*
%doc webprovisioning/default-identity.msht
%{_datadir}/icons/hicolor/scalable/apps/*

%files devel
%{_includedir}/*.h
%{_libdir}/libmoonshot.a
%{_libdir}/libmoonshot.so
%exclude %{_libdir}/*.la

%changelog
* Thu Mar 5 2020 Jisc <moonshot@jisc.ac.uk> - 1.2.11-1
- Improved layout of the MacOSX selection ID dialog
- GTK UI now supports right-clicking and double-clicking
  an ID
- Reduced the size of the GTK ID list

* Mon Jan 27 2020 Jisc <moonshot@jisc.ac.uk> - 1.2.10-1
- Improved exit dialog when decided not to send an ID
- Merged MacOSX UI code
- Use libxml2 for the ID exporter
- Implement "UI interativity modes"

* Tue Oct 15 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.9-1
- Added CI for CentOS 8

* Fri Sep 20 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.8-1
- Minor fixes to the TXT UI

* Thu Sep 19 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.7-1
- Re-layout some of the TEXT UI dialogs
- Build for Alpine 3.9 and Raspbian 10

* Tue Sep 03 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.6-1
- Do not prompt for adding credentials with moonshot-webp unless -i flag is
  provided.

* Mon Jun 03 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.5-1
- Make sure we disconnect from DBUS when we started the server and the DBUS
  session.

* Mon Jun 03 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.4-1
- Allow using the TEXT UI without explicitly launching a DBUS session. This
  works only with the FLAT_FILE and ENCRYPTED_FLAT_FILE.

* Tue May 07 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.3-1
- Restore support for loading direct-password ENCRIPTED_FLAT_FILE, in order
  to avoid loosing access to previously generated credential stores.
- Implement credential store export to WebP format.

* Fri May 03 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.2-1
- Use a key derivation function for the ENCRYPTED_FLAT_FILE backend
- Update README.cli

* Tue Apr 30 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.1-1
- Fix memory issue.

* Fri Apr 26 2019 Jisc <moonshot@jisc.ac.uk> - 1.2.0-1
- Support AES-GCM encrypted flat files using kernel session keyring.
- UI layout adjustments

* Sat Mar 30 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.11-1
- Minor improvements to the TXT UI and moonshot-idcard-generator

* Wed Mar 20 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.10-1
- Homogenise TXT and GTK UI and factorise shared code

* Mon Mar 04 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.9-1
- Add a "Show Certificate" button when confirming Trust Anchor.

* Wed Feb 27 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.8-1
- Fix window being too wide when confirming Trust Anchors
- Update source URL
- Improve how keyring is handled for non-desktop environments.
- Support decorated NAIs when confirming Trust Anchors

* Sat Feb 02 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.7
- Build source packages
- Make use of GCR to provide secure memory when using libsecret

* Sun Jan 27 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.6-0
- Fix regression with libsecret handling that precluded editing Id Cards.

* Mon Jan 21 2019 Jisc <moonshot@jisc.ac.uk> - 1.1.5-0
- Include Debian Buster build

* Thu Dec 20 2018 Jisc <moonshot@jisc.ac.uk> - 1.1.4-0
- Support building with GTK3
- Support building with libsecret

* Tue Nov 27 2018 Jisc <moonshot@jisc.ac.uk> - 1.1.3-0
- Package for release

* Tue Sep 11 2018 Jisc <moonshot@jisc.ac.uk> - 1.1.2-0
- Package for release

* Thu Aug 30 2018 Jisc <moonshot@jisc.ac.uk> - 1.1.1-0
- Package for release

* Fri Jun 15 2018 Painless Security <build@painless-security.com> - 1.1.0-1
- Package for release

* Thu Jun 14 2018 Painless Security <build@painless-security.com> - 1.1.0.2-1
- Send blank strings when moonshot_get_identity() nai/password are null

* Tue Jun 12 2018 Painless Security <build@painless-security.com> - 1.1.0.1-1
- Replace dbus-glib and libdbus with GDBus
- Use dbus-daemon instead of dbus-launch in libmoonshot
- Give better error messages when DBus connection fails

* Tue Aug 01 2017 Painless Security <build@painless-security.com> - 1.0.6-2
- Version number bump

* Tue Jul 25 2017 Painless Security <build@painless-security.com> - 1.0.5-1
- Version number bump

* Sun Jul 09 2017 Sam Hartman <hartmans@debian.org> - 1.0.3-2
- Upload to debian experimental, Closes: #864957

* Tue May 30 2017 Painless Security <build@painless-security.com> - 1.0.3-1
- Various stability fixes.

* Sat Feb 11 2017 Painless Security <build@painless-security.com> - 1.0.2-2
- Updated changelog

* Mon Oct 31 2016 Dan Breslau <dbreslau@painless-security.com> - 1.0.2-1
- Updated changelog

* Mon Oct 31 2016 Dan Breslau <dbreslau@painless-security.com> - 1.0.0-1
- UI has been redesigned
- Moonshot now asks user to confirm the server's fingerprint if none is 
  configured, or warns if mismatch.

* Wed Jul 15 2015 Sam Hartman <hartmans@debian.org> - 0.7.2-1
- New upstream Version, Closes: #787880
- Force vala run and support libgee-dev and libgee-0.8-dev so we can
  build wheezy and jessie versions from the same sources.
- High urgency to avoid moonshot-ui being removed from jessie.  The
  actual code change is very simple and will either cause a build
  failure or just work.

* Thu May 21 2015 Sam Hartman <hartmans@debian.org> - 0.7.1-3
- Depend on libgee-0.8-dev, Closes: #784651

* Wed Mar 25 2015 Sam Hartman <hartmans@debian.org> - 0.7.1-2
- Merge in upstream change to properly decode base64 certificates with
  whitespace.

* Wed Sep 03 2014 Sam Hartman <hartmans@debian.org> - 0.7.1-1
- New upstream version
- Move dbus launch script to libmoonshot1
- Because the dbus interface between moonshot-ui and libmoonshot1 may
  not be entirely stable, create versioned dependency.
- Initial upload to Debian, Closes: #760411

* Fri May 23 2014 Sam Hartman <hartmans@debian.org> - 0.7-2
- Depend on dbus-x11 for dbus-launch

* Mon May 19 2014 Sam Hartman <hartmans@debian.org> - 0.7-1
- New upstream version

* Wed Nov 13 2013 Sam Hartman <hartmans@debian.org> - 0.6-8
- Update handling of requests containing passwords and avoid duplicate
  identity

* Tue Oct 29 2013 Sam Hartman <hartmans@debian.org> - 0.6-7
- Merge in upstream support for flatstore-users

* Tue Oct 29 2013 Sam Hartman <hartmans@debian.org> - 0.6-6
- Merge upstream bug fixes

* Thu Oct 10 2013 Sam Hartman <hartmans@debian.org> - 0.6-5
- Install default identity example

* Thu Oct 10 2013 Sam Hartman <hartmans@debian.org> - 0.6-4
- Add debug info package

* Tue Oct 08 2013 Sam Hartman <hartmans@debian.org> - 0.6-3
- Include gnome keyring and moonshot-webp fixes

* Thu Oct 03 2013 Sam Hartman <hartmans@debian.org> - 0.6-2
- New upstream version
- Increment shlibs version for libmoonshot

* Thu May 16 2013 Kevin Wasserman <krwasserman@painless-security.com> - 0.5.20130510-1.1
- New upstream version
- Fix headless add identity cards

* Fri May 10 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130510-1
- New upstream version

* Tue Apr 30 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130429-3
- Fix assertion on no identities

* Tue Apr 30 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130429-2
- Updates to fix assertion failure

* Mon Apr 29 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130429-1
- New Upstream version

* Sun Apr 21 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130421-2
- New upstream version
- Fix service removal
- Fix bogus identities

* Tue Mar 26 2013 Sam Hartman <hartmans@debian.org> - 0.5.20130326-1
- New upstream version
- Fixes headless operation

* Tue Mar 19 2013 Sam Hartman <hartmans@debian.org> - 0.0.2.20130319-1
- Merge in upstream changes
- Script for auto dbus launch in headless

* Fri May 18 2012 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20120131-2
- Update from master branch

* Tue Jan 31 2012 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20120131-1
- New upstream version

* Thu Jan 19 2012 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20120119-1
- New upstream version

* Tue Jan 17 2012 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20120117-1
- New upstream version

* Tue Sep 13 2011 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20110913-2
- Fix shared libraries

* Tue Sep 13 2011 Sam Hartman <hartmans@project-moonshot.org> - 0.0.2.20110913-1
- New upstream version

* Mon Jul 04 2011 Sam Hartman <hartmans@debian.org> - 0.0.2.20110704-1
- New Upstream version

* Mon Jun 13 2011 Sam Hartman <hartmans@debian.org> - 0.0.2.20110621-1
- New Upstream release

* Wed May 04 2011 Sam Hartman <hartmans@debian.org> - 0.0.1.20110504-1
- Initial release
